Name:               irssi-xmpp
Version:            0.51
Release:            alt1_5
Summary:            XMPP plugin into irssi

Group:              Communications
License:            GPLv2
URL:                http://cybione.org/~irssi-xmpp/
Source0:            http://cybione.org/~irssi-xmpp/files/%{name}-%{version}.tar.gz


BuildRequires:      irssi-devel libloudmouth-devel

Patch0:             irssi-xmpp-0.51-config.patch

Requires: irssi >= 0.8.13
Requires: libloudmouth >= 1.4.0
Source44: import.info

%description
Irssi-xmpp is an irssi plugin to connect to the Jabber network.

%prep
%setup -q
%patch0 -p1 -b .config

%build
%{__make} PREFIX=%{_prefix} %{?_smp_mflags} RH_FLAGS="$RPM_OPT_FLAGS"

%install
%{__make} PREFIX=%{_prefix} IRSSI_LIB=%{_libdir}/irssi install DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf $RPM_BUILD_ROOT%{_prefix}/share/doc/
%{__rm} -rf $RPM_BUILD_ROOT%{_prefix}/share/irssi

%files
%doc docs/* help/* COPYING README NEWS TODO
%{_libdir}/irssi/modules/libfe_xmpp.so
%{_libdir}/irssi/modules/libtext_xmpp.so
%{_libdir}/irssi/modules/libxmpp_core.so

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1_5
- update to new release by fcimport

* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1_4
- initial fc import

